* {
    margin: 0;
    padding: 3px;
    outline: 0;
    font-family: Roboto;
    font-weight: normal;
    box-sizing: border-box;
    color: rgba(255, 255, 255, 0.8);
	user-select: none;
    overflow: hidden;
}

#container {
    width: 100%;
    height: 100%;
    opacity: 0.7;
    text-shadow: 2px 2px 1px black;
    color: white;
}

#doorlock {
    width: 100px;
    height: 100px;
    position: fixed;
    color: white;
    margin: 0 auto;
    font-size: 1.3em;
    vertical-align: top;
    text-align: center;
    transform: translate(-50%, -20%);
}

#formContainer {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

#newDoor {
    display: grid;
    grid-template-rows: 7vh 7vh 7vh 19.5vh 7vh 3.2vh 4vh;
    width: 35vh;
    padding: 1vh;
    height: fit-content;
    background-color: rgba(0, 0, 0, 0.9);
    border-radius: 1vh;
    font-size: 1.5vh;
    text-align: center;
}

#newDoor div {
    height: fit-content;
}

text {
    vertical-align: middle;
    font-weight: 500;
    font-size: 1.5vh;
}

option {
    color: black;
}

#submit {
    border: 0;
    width: 100%;
    height: 3.5vh;
    font-size: 1.5vh;
    color: white;
    border-radius: 1vh;
    background-color: rgba(240,240,240,0.10);
}

input[type=text], .dropdown {
    border:0;
    padding: 3%;
    margin-top: 1.5%;
    font-size: 1.5vh;
    color: white;
    width: 100%;
    text-align: center;
    border-radius: 1vh;
    background-color: rgba(240,240,240,0.10);
}

.customCheckBox {
    cursor: pointer;
    font-size: 1.5vh;
}
  
.customCheckBox input {
    vertical-align: middle;
    height: 1.5vh;
    width: 1.5vh;
}
